Subject: bug#47169: 28.0.50; [feature/native-comp] native-compiler-error-empty-byte when batch-native-compiling is confusing to users

From: Andrea Corallo <[email-masked]>
Date: Tue, 16 Mar 2021 18:04:13 +0000

Mauricio Collares <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>>
>> Okay f3abb17118 should implement this.
>>
>> Mauricio could you try if this works for you?
>
> Hi Andrea,
>
> Thanks for taking a look at this! Making no-byte-compile imply
> no-native-compile is a good idea. However, I think the bug is still
> present: I just tested f3abb17118 by running batch-native-compile on a
> file whose first line is ";;; -*- no-byte-compile: t -*-", and I still
> see native-compiler-error-empty-byte being signaled.

Hi Mauricio,

sorry for the sloppy/untested patch, 3e133cc050 works for me please have
a try.

Thanks

  Andrea